Skip to main content
Resource Center/CloudFormation Operations
GETCloudFormation OperationsSince 2.6.0SynchronousAuth Required

GetSupportedCloudFormationResources

GetSupportedCloudFormationResources

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • versionString

    Optional. The template version No. For example, v1.

  • typeString

    Optional. The template type. Default type: zstack.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • resourcesListRequired

    See resources.

    • nameStringRequired

      The resource name.

    • typeStringRequired

      The type, including Action and Resource.

    • actionNameStringRequired

      The action name.

    • resourcesListRequired

      The list of the associated resources.

Endpoint

GET/zstack/v1/cloudformation/resources

/zstack/v1/cloudformation/resources

Operation ID

GetSupportedCloudFormationResources

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/cloudformation/resources?version=<version>&type=<type>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "resources": [ { "name": "VmInstance", "type": "Resource", "actionName": "CreateVmInstanceAction", "resources": [ "InstanceOffering", "Image", "L3Network", "DiskOffering", "Zone", "Cluster", "Host", "PrimaryStorage" ] }, { "name": "AttachDataVolumeToVm", "type": "Action", "actionName": "AttachDataVolumeToVmAction", "resources": [ "VmInstance", "Volume" ] } ] }

Change History

This API has no change history records yet.

View all change history